githubEdit

eth_syncing - Polygon

Example code for the eth_syncing json-rpc method. Сomplete guide on how to use eth_syncing json-rpc in GetBlock.io Web3 documentation.

The eth_syncing method returns an object with data about the sync status or false if the node is fully synced.

Parameters

  • None

Request

cURL
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_syncing",
    "params": [],
    "id": "getblock.io"
}'

Response

example-response.json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": false
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

False if synced, or object with startingBlock, currentBlock, highestBlock

Use Case

The eth_syncing method is useful for:

  • Node health check

  • Sync monitoring

  • Connection verification

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?